## kopete 15.08.2

=== debian/changelog ===
kopete (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:39:21 +0100

kopete (4:15.08.1-0ubuntu3) wily; urgency=medium

  * Remove cryptography files no longer built

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Sep 2015 17:14:38 +0100

kopete (4:15.08.1-0ubuntu2) wily; urgency=medium

  * remove random build-dep on libkleo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Sep 2015 14:36:00 +0100

kopete (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:15:28 +0100

kopete (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Rebuild against kdelibs5-dev >= 4:4.14.10-1ubuntu1~
    + This is to adopt new the libgpgme++ soversion (gcc5 transition)
  * Drop kdepim-dev build dependency. It is not actually used.

 -- Harald Sitter <sitter@kde.org>  Mon, 31 Aug 2015 15:22:20 +0200

kopete (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:34:03 +0100

kopete (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Build depend on libboost-dev instead of libboost1.55-dev. Right now the
    default is libboost1.58-dev so if we don't change this the package may be
    unable to build.

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:50:51 +0100

kopete (4:15.04.2-0ubuntu3) wily; urgency=medium

  * Update symbols files for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Aug 2015 22:11:14 +0200

kopete (4:15.04.2-0ubuntu2) wily; urgency=medium

  * Unversioned boost build dependency

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Aug 2015 15:08:42 +0000

kopete (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:16:09 +0200

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               kdepimlibs5-dev (>= 4:4.14.10-1ubuntu1~),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgnutls-dev,
               libgpgme11-dev,
               libidn11-dev,
               libjasper-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libmsn-dev (>= 4.1),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev (>= 1:0.0.4),
               libsqlite3-dev,
               libsrtp0-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kopete.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kopete.git

Package: libkopete4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkopete4}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_install:
	grep -v libjingle-call debian/kopete.install > debian/kopete.install.kfreebsd
	$(overridden_command)

override_dh_clean:
	$(overridden_command)
	rm -f debian/kopete.install.kfreebsd

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kopete-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kopete-([\d.]+).tar.xz

## kopete 15.12.3

=== plugins/addbookmarks/CMakeLists.txt ===

include_directories(
${KOPETE_INCLUDES} 
)

########### next target ###############

set(kopete_addbookmarks_PART_SRCS addbookmarksplugin.cpp addbookmarksprefssettings.cpp )


kde4_add_plugin(kopete_addbookmarks ${kopete_addbookmarks_PART_SRCS})


target_link_libraries(kopete_addbookmarks  ${KDE4_KIO_LIBS} kopete )

install(TARGETS kopete_addbookmarks  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_addbookmarks_PART_SRCS addbookmarkspreferences.cpp addbookmarksprefssettings.cpp )

kde4_add_ui_files(kcm_kopete_addbookmarks_PART_SRCS addbookmarksprefsui.ui )


kde4_add_plugin(kcm_kopete_addbookmarks ${kcm_kopete_addbookmarks_PART_SRCS})


target_link_libraries(kcm_kopete_addbookmarks kopete ${KDE4_KUTILS_LIBS} )

install(TARGETS kcm_kopete_addbookmarks  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_addbookmarks.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopete_addbookmarks_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/highlight/CMakeLists.txt ===

add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES}
)


########### next target ###############

set(kopete_highlight_PART_SRCS highlightplugin.cpp highlightconfig.cpp filter.cpp )

kde4_add_plugin(kopete_highlight ${kopete_highlight_PART_SRCS})


target_link_libraries(kopete_highlight  ${KDE4_KDEUI_LIBS} kopete ${QT_QTXML_LIBRARY})

install(TARGETS kopete_highlight  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_highlight_PART_SRCS highlightpreferences.cpp filter.cpp highlightconfig.cpp )

kde4_add_ui_files(kcm_kopete_highlight_PART_SRCS highlightprefsbase.ui )


kde4_add_plugin(kcm_kopete_highlight ${kcm_kopete_highlight_PART_SRCS})


target_link_libraries(kcm_kopete_highlight ${KDE4_KUTILS_LIBS}  ${KDE4_KNOTIFYCONFIG_LIBS} ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kcm_kopete_highlight  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_highlight.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopete_highlight_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/translator/CMakeLists.txt ===

include_directories(
${KOPETE_INCLUDES}
)


########### next target ###############

set(kopete_translator_PART_SRCS
   translatorplugin.cpp
   translatordialog.cpp
   translatorguiclient.cpp
   translatorlanguages.cpp )

kde4_add_kcfg_files(kopete_translator_PART_SRCS translatorconfig.kcfgc )


kde4_add_plugin(kopete_translator ${kopete_translator_PART_SRCS})


target_link_libraries(kopete_translator  ${KDE4_KIO_LIBS} ${QT_QT3SUPPORT_LIBRARY} kopete )

install(TARGETS kopete_translator  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_translator_PART_SRCS translatorpreferences.cpp translatorlanguages.cpp )

kde4_add_ui_files(kcm_kopete_translator_PART_SRCS translatorprefsbase.ui )

kde4_add_kcfg_files(kcm_kopete_translator_PART_SRCS translatorconfig.kcfgc )


kde4_add_plugin(kcm_kopete_translator ${kcm_kopete_translator_PART_SRCS})


target_link_libraries(kcm_kopete_translator  ${KDE4_KUTILS_LIBS} kopete )

install(TARGETS kcm_kopete_translator  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES translatorconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_translator.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES translatorui.rc translatorchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_translator)
install( FILES kopete_translator_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== protocols/sms/CMakeLists.txt ===
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

#add_subdirectory( ui )
#add_subdirectory( services )
add_subdirectory( icons )
include_directories( ui services )

set(kopete_sms_PART_SRCS 
  smsaddcontactpage.cpp 
  smscontact.cpp 
  smseditaccountwidget.cpp 
  smsprotocol.cpp 
  serviceloader.cpp 
  smsservice.cpp 
  smsuserpreferences.cpp 
  smsaccount.cpp
  services/gsmlib.cpp
  services/kopete_unix_serial.cpp
  services/smsclient.cpp
  services/smssend.cpp
  services/smssendprovider.cpp )

kde4_add_ui3_files( kopete_sms_PART_SRCS
  services/gsmlibprefs.ui
  services/smsclientprefs.ui
  services/smssendprefs.ui
  ui/smsactprefs.ui
  ui/smsuserprefs.ui
  ui/smsadd.ui )

kde4_add_plugin(kopete_sms ${kopete_sms_PART_SRCS})

target_link_libraries(kopete_sms  ${KDE4_KIO_LIBS} ${KDE4_KDE3SUPPORT_LIBS} kopete )

install(TARGETS kopete_sms  DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES kopete_sms.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== kopete/config/avdevice/CMakeLists.txt ===

include_directories(
${KOPETE_INCLUDES}

)


########### next target ###############

set(kcm_kopete_avdeviceconfig_PART_SRCS
  avdeviceconfig.cpp IdGuiElements.cpp )
# avdeviceconfig_videodevicec.cpp )

kde4_add_ui_files(kcm_kopete_avdeviceconfig_PART_SRCS avdeviceconfig_videodevice.ui )

kde4_add_plugin(kcm_kopete_avdeviceconfig ${kcm_kopete_avdeviceconfig_PART_SRCS})


target_link_libraries(kcm_kopete_avdeviceconfig  ${KDE4_KUTILS_LIBS} kopete kopete_videodevice)

install(TARGETS kcm_kopete_avdeviceconfig  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_avdeviceconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

kde4_install_icons( ${DATA_INSTALL_DIR}/kopete/icons  )

=== protocols/jabber/libiris/CMakeLists.txt ===

if(NOT WIN32)
  add_definitions(-fPIC)
else(NOT WIN32)
  if(MINGW)
    add_definitions(-DWIN32)
  endif(MINGW)
endif(NOT WIN32)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}/src
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jid
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/cutestuff
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-im
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/sasl
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/zlib
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/base64
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/xmpp-core
${CMAKE_CURRENT_SOURCE_DIR}/src/xmpp/jingle
${CMAKE_CURRENT_SOURCE_DIR}/src/jdns/include/jdns
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/noncore/legacy
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/corelib
${CMAKE_CURRENT_SOURCE_DIR}/src/irisnet/appledns

${QCA2_INCLUDE_DIR}
${IDN_INCLUDE_DIR}
${ZLIB_INCLUDE_DIR}
${DNSSD_INCLUDE_DIR}
)

set(iris_SRCS
src/xmpp/base/randomnumbergenerator.cpp
src/xmpp/jid/jid.cpp
src/irisnet/noncore/cutestuff/httppoll.cpp
src/irisnet/noncore/cutestuff/socks.cpp
src/irisnet/noncore/cutestuff/bytestream.cpp
src/irisnet/noncore/cutestuff/bsocket.cpp
src/irisnet/noncore/cutestuff/httpconnect.cpp
src/xmpp/xmpp-im/xmpp_discoitem.cpp
src/xmpp/xmpp-im/client.cpp
src/xmpp/xmpp-im/types.cpp
src/xmpp/xmpp-im/xmpp_vcard.cpp
src/xmpp/xmpp-im/xmpp_xmlcommon.cpp
src/xmpp/xmpp-im/xmpp_ibb.cpp
src/xmpp/xmpp-im/xmpp_xdata.cpp
src/xmpp/xmpp-im/xmpp_task.cpp
src/xmpp/xmpp-im/xmpp_features.cpp
src/xmpp/xmpp-im/xmpp_discoinfotask.cpp
src/xmpp/xmpp-im/xmpp_bitsofbinary.cpp
src/xmpp/xmpp-im/xmpp_bytestream.cpp
src/xmpp/xmpp-im/s5b.cpp
src/xmpp/xmpp-im/xmpp_tasks.cpp
src/xmpp/xmpp-im/filetransfer.cpp
src/xmpp/sasl/digestmd5proplist.cpp
src/xmpp/sasl/digestmd5response.cpp
src/xmpp/sasl/plainmessage.cpp
src/xmpp/sasl/scramsha1message.cpp
src/xmpp/sasl/scramsha1signature.cpp
src/xmpp/sasl/scramsha1response.cpp
src/xmpp/zlib/zlibcompressor.cpp
src/xmpp/zlib/zlibdecompressor.cpp
src/xmpp/xmpp-core/tlshandler.cpp
src/xmpp/xmpp-core/xmpp_stanza.cpp
src/xmpp/xmpp-core/stream.cpp
src/xmpp/xmpp-core/securestream.cpp
src/xmpp/xmpp-core/simplesasl.cpp
src/xmpp/xmpp-core/xmlprotocol.cpp
src/xmpp/xmpp-core/protocol.cpp
src/xmpp/xmpp-core/compressionhandler.cpp
src/xmpp/xmpp-core/parser.cpp
src/xmpp/xmpp-core/connector.cpp
src/irisnet/noncore/ice176.cpp
src/irisnet/noncore/icecomponent.cpp
src/irisnet/noncore/icetransport.cpp
src/irisnet/noncore/iceturntransport.cpp
src/irisnet/noncore/stunallocate.cpp
src/irisnet/noncore/legacy/ndns.cpp
src/irisnet/noncore/legacy/srvresolver.cpp
src/irisnet/noncore/legacy/safedelete.cpp
src/irisnet/noncore/legacy/servsock.cpp
src/irisnet/noncore/icelocaltransport.cpp
src/irisnet/noncore/stunmessage.cpp
src/irisnet/noncore/stunbinding.cpp
src/irisnet/noncore/stuntransaction.cpp
src/irisnet/noncore/stuntypes.cpp
src/irisnet/noncore/stunutil.cpp
src/irisnet/noncore/processquit.cpp
src/irisnet/noncore/turnclient.cpp
src/irisnet/noncore/udpportreserver.cpp
src/irisnet/corelib/netavailability.cpp
src/irisnet/corelib/netnames_jdns.cpp
src/irisnet/corelib/netnames.cpp
src/irisnet/corelib/irisnetplugin.cpp
src/irisnet/corelib/netinterface.cpp
src/irisnet/corelib/objectsession.cpp
src/irisnet/corelib/irisnetglobal.cpp

src/jdns/src/jdns/jdns_util.c
src/jdns/src/jdns/jdns_packet.c
src/jdns/src/jdns/jdns_mdnsd.c
src/jdns/src/jdns/jdns_sys.c
src/jdns/src/jdns/jdns.c
src/jdns/src/qjdns/qjdns_sock.cpp
src/jdns/src/qjdns/qjdns.cpp
src/jdns/src/qjdns/qjdnsshared.cpp

)

if(WIN32)
  LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_win.cpp)
else(WIN32)
  LIST(APPEND iris_SRCS src/irisnet/corelib/netinterface_unix.cpp)
endif(WIN32)

set(libiris_SRCS 
    ${cutestuff_SRCS} 
    ${iris_SRCS} 
)

 kde4_moc_headers(iris_kopete


src/xmpp/base/randrandomnumbergenerator.h
src/xmpp/base/randomnumbergenerator.h
src/xmpp/jid/jid.h
src/irisnet/noncore/cutestuff/bytestream.h
src/irisnet/noncore/cutestuff/socks.h
src/irisnet/noncore/cutestuff/httpconnect.h
src/irisnet/noncore/cutestuff/bsocket.h
src/irisnet/noncore/cutestuff/httppoll.h
src/irisnet/noncore/iceturntransport.h
src/irisnet/noncore/icecomponent.h
src/irisnet/noncore/icetransport.h
src/irisnet/noncore/turnclient.h
src/irisnet/noncore/udpportreserver.h
src/xmpp/xmpp-im/xmpp_xdata.h
src/xmpp/xmpp-im/xmpp_rosterx.h
src/xmpp/xmpp-im/xmpp_tasks.h
src/xmpp/xmpp-im/xmpp_discoitem.h
src/xmpp/xmpp-im/xmpp_pubsubretraction.h
src/xmpp/xmpp-im/xmpp_xmlcommon.h
src/xmpp/xmpp-im/xmpp_roster.h
src/xmpp/xmpp-im/xmpp_muc.h
src/xmpp/xmpp-im/xmpp_htmlelement.h
src/xmpp/xmpp-im/xmpp_receipts.h
src/xmpp/xmpp-im/xmpp_message.h
src/xmpp/xmpp-im/xmpp_discoinfotask.h
src/xmpp/xmpp-im/xmpp_ibb.h
src/xmpp/xmpp-im/xmpp_liverosteritem.h
src/xmpp/xmpp-im/xmpp_httpauthrequest.h
src/xmpp/xmpp-im/xmpp_pubsubitem.h
src/xmpp/xmpp-im/xmpp_vcard.h
src/xmpp/xmpp-im/xmpp_client.h
src/xmpp/xmpp-im/s5b.h
src/xmpp/xmpp-im/xmpp_url.h
src/xmpp/xmpp-im/xmpp_chatstate.h
src/xmpp/xmpp-im/xmpp_task.h
src/xmpp/xmpp-im/xmpp_address.h
src/xmpp/xmpp-im/xmpp_agentitem.h
src/xmpp/xmpp-im/filetransfer.h
src/xmpp/xmpp-im/xmpp_status.h
src/xmpp/xmpp-im/xmpp_resourcelist.h
src/xmpp/xmpp-im/xmpp_liveroster.h
src/xmpp/xmpp-im/xmpp_resource.h
src/xmpp/xmpp-im/xmpp_rosteritem.h
src/xmpp/xmpp-im/xmpp_features.h
src/xmpp/xmpp-im/im.h
src/xmpp/sasl/digestmd5response.h
src/xmpp/sasl/digestmd5proplist.h
src/xmpp/sasl/plainmessage.h
src/xmpp/sasl/scramsha1response.h
src/xmpp/zlib/common.h
src/xmpp/zlib/zlibdecompressor.h
src/xmpp/zlib/zlibcompressor.h
src/xmpp/xmpp-core/xmpp_stanza.h
src/xmpp/xmpp-core/simplesasl.h
src/xmpp/xmpp-core/securestream.h
src/xmpp/xmpp-core/protocol.h
src/xmpp/xmpp-core/compressionhandler.h
src/xmpp/xmpp-core/xmlprotocol.h
src/xmpp/xmpp-core/xmpp.h
src/xmpp/xmpp-core/xmpp_clientstream.h
src/xmpp/xmpp-core/xmpp_stream.h
src/xmpp/xmpp-core/td.h
src/xmpp/xmpp-core/parser.h

src/irisnet/noncore/stuntransaction.h
src/irisnet/noncore/stunbinding.h
src/irisnet/noncore/legacy/ndns.h
src/irisnet/noncore/legacy/safedelete.h
src/irisnet/noncore/legacy/servsock.h
src/irisnet/noncore/legacy/srvresolver.h
src/irisnet/noncore/stunallocate.h
src/irisnet/noncore/ice176.h
src/irisnet/noncore/processquit.h
src/irisnet/noncore/icelocaltransport.h
src/irisnet/corelib/irisnetglobal.h
src/irisnet/corelib/objectsession.h
src/irisnet/corelib/netavailability.h
src/irisnet/corelib/netnames.h
src/irisnet/corelib/irisnetplugin.h
src/irisnet/corelib/netinterface.h

src/jdns/src/jdns/jdns_packet.h
src/jdns/src/jdns/jdns_mdnsd.h
src/jdns/src/jdns/jdns_p.h
src/jdns/include/jdns/jdns.h
src/jdns/src/qjdns/qjdns_sock.h
src/jdns/src/qjdns/qjdns_p.h
src/jdns/src/qjdns/qjdnsshared_p.h
src/jdns/include/jdns/qjdns.h
src/jdns/include/jdns/qjdnsshared.h
src/jdns/include/jdns/jdns_export.h

)

add_definitions(-DIRISNET_STATIC)
add_definitions(-DJDNS_STATIC)

if(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif(CMAKE_COMPILER_IS_GNUCXX)

kde4_add_library(iris_kopete STATIC ${libiris_SRCS})

set(iris_kopete_libs ${QT_QTCORE_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTXML_LIBRARY}
                     ${IDN_LIBRARIES} ${QCA2_LIBRARIES} ${ZLIB_LIBRARIES} )

if(WIN32)
  set(iris_kopete_libs ${iris_kopete_libs} ws2_32)
endif(WIN32)

# On Solaris, some of the name resolution functions are in libnsl;
# this needs to be linked in if found. Copied from kdelibs.
include(CheckLibraryExists)
check_library_exists(nsl gethostbyname "" HAVE_NSL_LIBRARY)

if(HAVE_NSL_LIBRARY)
  # This is probably Solaris, and libiris needs to link
  # to libnsl for gethostbyname
  set(iris_kopete_libs ${iris_kopete_libs} nsl)
endif(HAVE_NSL_LIBRARY)
target_link_libraries(iris_kopete ${iris_kopete_libs})

########### install files ###############

=== protocols/qq/icons/CMakeLists.txt ===

kde4_install_icons( ${DATA_INSTALL_DIR}/kopete/icons  )

=== protocols/winpopup/icons/CMakeLists.txt ===
kde4_install_icons( ${DATA_INSTALL_DIR}/kopete/icons  )

=== protocols/wlm/icons/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/kopete/icons)

=== protocols/groupwise/libgroupwise/tasks/tests/CMakeLists.txt ===

include_directories( ${KOPETE_SOURCE_DIR}/protocols/groupwise/libgroupwise/qca/src  )


########### next target ###############

set(task_take_test_SRCS task_take_test.cpp )

kde4_add_executable(task_take_test ${task_take_test_SRCS})

target_link_libraries(task_take_test  ${KDE4_KDECORE_LIBS} qt-mt gwtest )


########### install files ###############

=== styles/Clean/Contents/Resources/Incoming/CMakeLists.txt ===

########### install files ###############

install( FILES buddy_icon.png Content.html NextContent.html  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Clean/Contents/Resources/Incoming)

=== styles/Pidgin/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES state-sending.gif state-error.png  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Pidgin/Contents/Resources/images)

=== debian/changelog ===
kopete (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * Combine duplicate licence entries into single licence types
    to make lintian happy. 
  * Another new upstream bugfix release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:41:57 -0700

kopete (4:15.12.1-1ubuntu2) xenial; urgency=medium

  * Add disable_failing_test.diff to disable a test that fails upstream and
    blocks the autopkgtest QA

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 21 Mar 2016 22:43:10 +0100

kopete (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 
  * Fix copyright file to subtract duplicate files from catch all. 
  * Revert last commit, new lintain error. According
    to docs original format should have been fine. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:58:51 +0100

kopete (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:05 +0100

kopete (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 14:09:52 +0000

kopete (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:13 +0100

kopete (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).
  * Update symbols files from buildds logs (4:15.08.1-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:10 +0200

kopete (4:15.08.2-0ubuntu3) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:45 +0100

kopete (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * No-change rebuild for giflib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 Oct 2015 03:07:48 +0000

kopete (4:15.08.1-1) unstable; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Sep 2015 08:42:58 +0200

kopete (4:15.08.0-2) unstable; urgency=medium

  * Set kdepim-runtime as a recommends. (Closes: #797746) Thanks to
    Salvo Tomaselli

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:45:55 +0200

kopete (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files from buildds logs (4:14.12.3-1).
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).
  * Add libsoprano-dev build dep. (Closes: #797644)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 23:21:40 +0200

kopete (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:12:49 +0200

kopete (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 11:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               kdepimlibs5-dev (>= 4:4.14.10-1ubuntu1~),
+               kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
                libexpat-dev,
+               libexpat1-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
-               libgnutls-dev,
+               libgnutls28-dev,
                libgpgme11-dev,
                libidn11-dev,
                libjasper-dev,
@@ -31,6 +32,7 @@
                libotr5-dev,
                libqca2-dev (>= 2.0.0),
                libqimageblitz-dev (>= 1:0.0.4),
+               libsoprano-dev,
                libsqlite3-dev,
                libsrtp0-dev,
                libssl-dev,
@@ -43,10 +45,9 @@
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kopete.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kopete.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kopete.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -67,7 +68,7 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Recommends: kdepim-runtime, libqca2-plugin-ossl, libqt4-sql-sqlite
 Suggests: imagemagick, kdeartwork-emoticons, khelpcenter, texlive-latex-base
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kopete-([\d.]+).tar.xz

## kopete 16.04.3

=== debian/changelog ===
kopete (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.22~),
                kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
@@ -46,8 +46,8 @@
                zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kopete.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kopete.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: libkopete4
 Section: libs

## kopete 16.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(kopete)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
find_package(KdepimLibs REQUIRED)
find_package(QImageBlitz REQUIRED)

set(KOPETE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(KOPETE_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${KOPETE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES ${KDEWIN32_INCLUDES})
endif(WIN32)

add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if(WIN32)
    set(DISABLE_VIDEOSUPPORT ON)
else (WIN32)
    option(DISABLE_VIDEOSUPPORT "Build Kopete without video-support" OFF)
endif(WIN32)

if(DISABLE_VIDEOSUPPORT)
    add_definitions(-DVIDEOSUPPORT_DISABLED)
endif(DISABLE_VIDEOSUPPORT)

kde4_no_enable_final(kopete)

### Alphabetical list of optional packages ###

#macro_optional_find_package(Alsa)
#macro_log_feature(ALSA_FOUND "Alsa" "Alsa is Advanced Linux Sound Architecture" "http://www.alsa-project.org/" FALSE "" "Required for the Jabber protocol with Jingle support")

macro_optional_find_package(Boost)
macro_log_feature(Boost_FOUND Boost "C++ Boost libraries" "http://www.boost.org/" FALSE "" "Required for the WLM protocol")

macro_optional_find_package(Expat)
macro_log_feature(EXPAT_FOUND "Expat" "Expat is a stream oriented XML parser" "http://expat.sourceforge.net/" FALSE "" "Required for the Jabber protocol with libjingle support")

macro_optional_find_package(GIF)
macro_log_feature(GIF_FOUND "GIF" "Package of portable tools and library routines for working with GIF images" "http://giflib.sourceforge.net/" FALSE "" "Required for the WLM protocol with handwriting messages support")

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "GLIB2" "GLib library" "http://www.gtk.org/" FALSE "" "Required for the Nowlistening plugin with XMMS player support")

macro_optional_find_package(IDN)
macro_log_feature(IDN_FOUND "IDN" "GNU Libidn Internationalized Domain Name (IDN) implementation" "http://www.gnu.org/software/libidn/" FALSE "" "Required for the Jabber protocol")

macro_optional_find_package(Jasper)
macro_log_feature(JASPER_FOUND "Jasper" "JasPer library implements the codec specified in the JPEG-2000 Part-1 standard" "http://www.ece.uvic.ca/~mdadams/jasper/" FALSE "" "Required for the Yahoo protocol")

macro_optional_find_package(JsonCpp)
macro_log_feature(JSONCPP_FOUND "JsonCpp" "JsonCpp is an implementation of a JSON reader and writer in C++" "http://jsoncpp.sourceforge.net/" FALSE "" "Required for the Jabber protocol with libjingle support")

macro_optional_find_package(Kleopatra)
macro_log_feature(KLEOPATRA_FOUND "Kleopatra" "The Kleopatra libraries (from kdepim)" "http://kde.org/" FALSE "" "Required for the Cryptography plugin")

macro_optional_find_package(Libgadu)
macro_log_feature(LIBGADU_FOUND "Libgadu" "A library providing support for Gadu-Gadu protocol" "http://toxygen.net/libgadu/" FALSE "1.8.0" "Required for the Gadu-Gadu protocol")

macro_optional_find_package(LibMeanwhile)
macro_log_feature(LIBMEANWHILE_FOUND "LibMeanwhile" "A library for protocol support for connection to Sametime servers" "http://meanwhile.sourceforge.net/" FALSE "" "Required for the Meanwhile protocol")

macro_optional_find_package(Libmsn)
macro_log_feature(LIBMSN_FOUND "Libmsn" "A library providing support for the msn protocol" "http://libmsn.sourceforge.net/" FALSE "0.4.0" "Required for the WLM protocol")

macro_optional_find_package(LiboRTP)
macro_log_feature(LIBORTP_FOUND "LiboRTP" "oRTP provides an API to send rtp packets" "http://www.linphone.org/index.php/eng/code_review/ortp/" FALSE "0.13" "Required for the Jabber protocol with libjingle support and for the WLM protocol with voice clips support")

macro_optional_find_package(LibOTR)
macro_log_feature(LIBOTR_FOUND "LibOTR" "A library to encrypt messages with Off-the-Record encryption" "http://www.cypherpunks.ca/otr/" FALSE "4.0.0" "Required for the OTR plugin")

macro_optional_find_package(LibV4L2)
macro_log_feature(LIBV4L2_FOUND "LibV4L2" "Collection of video4linux support libraries" "http://hansdegoede.livejournal.com/ http://linuxtv.org/hg/~hgoede/libv4l/" FALSE "" "Required for better webcam support on Linux")

macro_optional_find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXml2" "Libraries used to develop XML applications" "http://xmlsoft.org/" FALSE "" "Required for the Webpresence plugin")

macro_optional_find_package(LibXslt)
macro_log_feature(LIBXSLT_FOUND "LibXslt" "A library to transform XML files into other XML files" "http://xmlsoft.org/XSLT/" FALSE "" "Required for the Webpresence plugin")

macro_optional_find_package(Mediastreamer)
macro_log_feature(MEDIASTREAMER_FOUND "Mediastreamer" "A streaming engine specialized for voice/video telephony applications" "http://www.linphone.org/index.php/eng/code_review/mediastreamer2/" FALSE "2.3.0" "Required for the Jabber protocol with libjingle support and for the WLM protocol with voice clips support")

macro_optional_find_package(OpenSSL)
macro_log_feature(OPENSSL_FOUND "OpenSSL" "OpenSSL implementation of SSL" "https://www.openssl.org/" FALSE "" "Required for the Jabber protocol with libjingle support")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca/" FALSE "2.0.0" "Required for the GroupWise and Jabber protocols")

macro_optional_find_package(QGpgme)
macro_log_feature(QGPGME_FOUND "QGpgme" "QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")

macro_optional_find_package(Sqlite)
macro_log_feature(SQLITE_FOUND "Sqlite" "SQLite is a Binary-Database" "http://www.sqlite.org/" FALSE "" "Required for the Statistic plugin")

#macro_optional_find_package(Speex)
#macro_log_feature(SPEEX_FOUND "Speex" "Speex is an encoder/decoder for the speex audio format" "http://www.speex.org/" FALSE "" "Required for the Jabber protocol with Jingle support")

macro_optional_find_package(SRTP)
macro_log_feature(SRTP_FOUND "SRTP" "SRTP provides an implementation of the Secure Real-time Transport Protocol (SRTP)" "http://srtp.sourceforge.net/srtp.html" FALSE "" "Required for the Jabber protocol with libjingle support")

macro_optional_find_package(Xmms)
macro_log_feature(XMMS_FOUND "Xmms" "X MultiMedia System development libraries" "http://www.xmms.org/" FALSE "" "Required for the Nowlistening plugin with XMMS player support")

macro_optional_find_package(ZLIB)
macro_log_feature(ZLIB_FOUND "ZLIB" "Zlib is a library implementing the deflate compression method" "http://zlib.net/" FALSE "" "Required for the GroupWise and Jabber protocols")

if(Q_WS_X11)
    macro_log_feature(X11_Xss_FOUND "libXss" "libXss provides access to screen server X11 extension" "" FALSE "" "Required for idle timer on X11")
endif(Q_WS_X11)

set(KOPETE_INCLUDES
    ${KDE4_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KOPETE_SOURCE_DIR}/libkopete/
    ${KOPETE_BINARY_DIR}/libkopete/
    ${KOPETE_SOURCE_DIR}/libkopete/ui/
    ${KOPETE_SOURCE_DIR}/libkopete/private/
    ${KOPETE_SOURCE_DIR}/libkopete/contactlist/
    ${KOPETE_SOURCE_DIR}/libkopete/tasks/
)

add_subdirectory(libkopete)
add_subdirectory(kopete)
add_subdirectory(protocols)
add_subdirectory(plugins)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(styles)
add_subdirectory(doc)

macro_display_feature_log()

=== kopete/CMakeLists.txt ===

add_subdirectory( addaccountwizard )
add_subdirectory( statusmenu )
add_subdirectory( identity )
add_subdirectory( contactlist )
add_subdirectory( config )
add_subdirectory( chatwindow )
add_subdirectory( kconf_update ) 

include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/addaccountwizard 
${CMAKE_CURRENT_BINARY_DIR}/addaccountwizard
${CMAKE_CURRENT_SOURCE_DIR}/statusmenu/
${CMAKE_CURRENT_BINARY_DIR}/statusmenu/
${CMAKE_CURRENT_SOURCE_DIR}/identity 
${CMAKE_CURRENT_BINARY_DIR}/identity
${CMAKE_CURRENT_SOURCE_DIR}/contactlist/
${CMAKE_CURRENT_BINARY_DIR}/contactlist/
${CMAKE_CURRENT_SOURCE_DIR}/config/plugins/
${QIMAGEBLITZ_INCLUDES}
)

link_directories( 
${KOPETE_BINARY_DIR}/libkopete
${CMAKE_CURRENT_BINARY_DIR}/addaccountwizard 
${CMAKE_CURRENT_BINARY_DIR}/identity
${CMAKE_CURRENT_BINARY_DIR}/contactlist
)

########### next target ###############

# Contact List

set(kopete_SRCS 
   ${kopetecontactlist_SRCS}
   main.cpp
   kopeteapplication.cpp
   systemtray.cpp
   kopetewindow.cpp
   kopeteidentitystatusbaricon.cpp
   kopeteaccountstatusbaricon.cpp
   kopetedbusinterface.cpp
   kopetedbusinterface_p.cpp
   infoeventwidget.cpp
   )

QT4_ADD_DBUS_ADAPTOR(kopete_SRCS org.kde.Kopete.xml kopetedbusinterface.h KopeteDBusInterface)

kde4_add_ui_files(kopete_SRCS groupkabcselectorwidget.ui infoeventbase.ui )

kde4_add_app_icon(kopete_SRCS "hi*-apps-kopete.png")

kde4_add_executable(kopete_bin ${kopete_SRCS})
set_target_properties(kopete_bin PROPERTIES RUNTIME_OUTPUT_NAME kopete)

target_link_libraries(kopete_bin 
	${KDE4_KTEXTEDITOR_LIBS} 
	${KDE4_KNOTIFYCONFIG_LIBS}
	${KDE4_KDE3SUPPORT_LIBS}
	${KDE4_KABC_LIBS}
	${KDE4_SOLID_LIBRARY}
	${QIMAGEBLITZ_LIBRARIES}
	kopete 
	kopeteaddaccountwizard
	kopetestatusmenu
	kopetecontactlist
	kopeteidentity)

install(TARGETS kopete_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( PROGRAMS kopete.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES kopeteui.rc kopete.notifyrc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopeterc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES org.kde.Kopete.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== plugins/nowlistening/CMakeLists.txt ===

include_directories( ${KOPETE_INCLUDES} )
if(XMMS_FOUND)
  include_directories(${XMMS_INCLUDE_DIRS} )
  include_directories( ${GLIB2_INCLUDE_DIR} )
  add_definitions(-DHAVE_XMMS)
endif(XMMS_FOUND)

########### next target ###############

set(kopete_nowlistening_PART_SRCS
   nowlisteningplugin.cpp
   nlkscd.cpp
   nlxmms.cpp
   nowlisteningguiclient.cpp
   nljuk.cpp
   nlamarok.cpp
   nlquodlibet.cpp
   nlkaffeine.cpp
   nlmpris.cpp
   nlmpris2.cpp
)

kde4_add_kcfg_files(kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )

kde4_add_plugin(kopete_nowlistening ${kopete_nowlistening_PART_SRCS})


target_link_libraries(kopete_nowlistening  ${KDE4_KIO_LIBS} kopete)

if(XMMS_FOUND)
   target_link_libraries( kopete_nowlistening ${XMMS_LDFLAGS} )
endif(XMMS_FOUND)

install(TARGETS kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_nowlistening_PART_SRCS nowlisteningpreferences.cpp )

kde4_add_ui_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )


kde4_add_plugin(kcm_kopete_nowlistening ${kcm_kopete_nowlistening_PART_SRCS})


target_link_libraries(kcm_kopete_nowlistening  ${KDE4_KUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kcm_kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES nowlisteningconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_nowlistening.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc nowlisteningchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopete_nowlistening_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== protocols/meanwhile/CMakeLists.txt ===

add_subdirectory( icons )

add_definitions(${LIBMEANWHILE_DEFINITIONS})
include_directories(${LIBMEANWHILE_INCLUDE_DIR} ${GLIB2_INCLUDE_DIR})

########### next target ###############

set(kopete_meanwhile_PART_SRCS
   meanwhileaccount.cpp
   meanwhileaddcontactpage.cpp
   meanwhileplugin.cpp
   meanwhilecontact.cpp
   meanwhileprotocol.cpp
   meanwhileeditaccountwidget.cpp
   meanwhilesession.cpp )

kde4_add_ui_files(kopete_meanwhile_PART_SRCS
   ui/meanwhileaddcontact.ui
   ui/meanwhileeditaccount.ui
)

kde4_add_plugin(kopete_meanwhile ${kopete_meanwhile_PART_SRCS})

target_link_libraries(kopete_meanwhile
  ${KDE4_KDECORE_LIBS} ${GLIB2_LIBRARIES} ${LIBMEANWHILE_LIBRARY}
  ${KDE4_KDEUI_LIBS} ${QT_QTNETWORK_LIBRARY}
  kopete)

install(TARGETS kopete_meanwhile DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES kopete_meanwhile.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== protocols/wlm/CMakeLists.txt ===
project(wlm)

include_directories(
    ${Boost_INCLUDE_DIRS}
)

ADD_SUBDIRECTORY(icons)

set(kopete_wlm_include_DIRS
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui
    ${LIBMSN_INCLUDE_DIR}
)

set(kopete_wlm_ui_SRCS
   ui/wlmaddcontactpage.cpp
   ui/wlmeditaccountwidget.cpp
)

kde4_add_ui_files(kopete_wlm_ui_SRCS
    ui/wlmaddui.ui
    ui/wlminfo.ui 
    ui/wlmaccountpreferences.ui
    ui/wlmchatsessioninkpopup.ui
)

set(kopete_wlm_PART_SRCS
   ${kopete_wlm_ui_SRCS}
   wlmprotocol.cpp
   wlmcontact.cpp
   wlmaccount.cpp
   wlmlibmsn.cpp
   wlmsocket.cpp
   wlmserver.cpp
   wlmchatmanager.cpp
   wlmchatsession.cpp
   wlmchatsessioninkarea.cpp
   wlmchatsessioninkaction.cpp
   wlmtransfermanager.cpp
)

kde4_add_plugin(kopete_wlm ${kopete_wlm_PART_SRCS})

set(kopete_wlm_link_LIBS
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KUTILS_LIBS}
    ${KDE4_KIO_LIBRARY} 
    ${KDE4_KMIME_LIBS}
    ${QT_QTXML_LIBRARY} 
    ${QT_QTNETWORK_LIBRARY} 
    kopete 
    ${LIBMSN_LIBRARIES}
)

if(BUILD_WLM_MEDIASTREAMER)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${MEDIASTREAMER_LIBRARIES} ${LIBORTP_LIBRARY})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${MEDIASTREAMER_INCLUDE_DIR})
    add_definitions(-DHAVE_MEDIASTREAMER)
endif(BUILD_WLM_MEDIASTREAMER)

if(GIF_FOUND)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${GIF_LIBRARIES})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${GIF_INCLUDE_DIR})
    add_definitions(-DHAVE_GIFLIB)

    # giflib 4.2.0 removed PrintGifError() in favor of GifError() and GifErrorString().
    # We need to check which functions are present.
    # FIXME: Once we depend on CMake 2.8.6+ we can use CMAKE_{PUSH,POP}_CHECK_STATE().
    set(_OLD_CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES}")
    set(_OLD_CMAKE_REQUIRED_INCLUDES "${CMAKE_REQUIRED_INCLUDES}")
    set(CMAKE_REQUIRED_LIBRARIES "${GIF_LIBRARIES}")
    set(CMAKE_REQUIRED_INCLUDES "${GIF_INCLUDE_DIR}")
    include(CheckFunctionExists)
    check_function_exists(GifErrorString HAVE_GIF_ERROR_STRING)
    set(CMAKE_REQUIRED_LIBRARIES "${_OLD_CMAKE_REQUIRED_LIBRARIES}")
    set(CMAKE_REQUIRED_INCLUDES "${_OLD_CMAKE_REQUIRED_INCLUDES}")

    if(HAVE_GIF_ERROR_STRING)
        add_definitions(-DHAVE_GIF_ERROR_STRING)
    endif(HAVE_GIF_ERROR_STRING)
endif(GIF_FOUND)

include_directories(${kopete_wlm_include_DIRS})
target_link_libraries(kopete_wlm ${kopete_wlm_link_LIBS})

install(TARGETS kopete_wlm  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  kopete_wlm.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  wlmchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_wlm)

=== kopete/chatwindow/a11y/CMakeLists.txt ===
include_directories(${KOPETE_INCLUDES})
set(chatwindowaccessiblewidgetfactory_SRCS chatwindowaccessiblewidgetfactory.cpp accessiblechatmessagepart.cpp)
kde4_add_plugin(chatwindowaccessiblewidgetfactory ${chatwindowaccessiblewidgetfactory_SRCS})
target_link_libraries(chatwindowaccessiblewidgetfactory ${KDE4_KHTML_LIBS} )
install(TARGETS chatwindowaccessiblewidgetfactory DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/accessible)

=== debian/changelog ===
kopete (4:16.08.1-3) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/fix_otr.patch from upstream to resolve issue with
    unencrypted messages being sent without notice (Closes: #827048)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Jan 2017 09:00:46 -0500

kopete (4:16.08.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly build with libssl1.0-dev (Closes: #828367).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 03 Dec 2016 00:34:31 +0500

kopete (4:16.08.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Drop libmsn-dev from build-depends since MSN is long dead, this is useless
  * Update kopete.install as well.

  [ Automatic packaging ]
  * Update symbols files

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:58:27 +0200

kopete (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 11:08:33 +0200

kopete (4:16.04.0-2) unstable; urgency=medium

  * Follow jasper archive removal. (Closes: #818212)
  * Yahoo support is gone with the jasper removal

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 May 2016 14:10:28 +0200

kopete (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop kdepim-runtime as a test build dependency

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:32:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.22~),
+               kdelibs5-dev,
                kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
                libboost-dev,
@@ -22,12 +22,10 @@
                libgnutls28-dev,
                libgpgme11-dev,
                libidn11-dev,
-               libjasper-dev,
                libjpeg-dev,
                libjsoncpp-dev,
                libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
-               libmsn-dev (>= 4.1),
                libortp-dev (>= 0.13),
                libotr5-dev,
                libqca2-dev (>= 2.0.0),
@@ -35,7 +33,7 @@
                libsoprano-dev,
                libsqlite3-dev,
                libsrtp0-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libv4l-dev [linux-any],
                libxdamage-dev,
                libxml2-dev,
@@ -44,10 +42,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kopete.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kopete.git
 
 Package: libkopete4
 Section: libs

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr
